> ## Documentation Index
> Fetch the complete documentation index at: https://hoopdev-docs-improve-idp-sso-pages.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Server Info

> Get server information



## OpenAPI

````yaml https://use.hoop.dev/api/openapiv3.json get /serverinfo
openapi: 3.0.3
info:
  contact:
    email: help@hoop.dev
    name: Help
    url: https://help.hoop.dev
  description: >-
    Hoop.dev is an access gateway for databases and servers with an API for
    packet manipulation
  license:
    name: MIT
    url: https://opensource.org/license/mit
  termsOfService: https://hoop.dev/docs/legal/tos
  title: Hoop Api
  version: 1.49.10
servers:
  - url: https://use.hoop.dev/api
security: []
tags:
  - description: >
      Hoop implements Oauth2 and OIDC protocol to authenticate users in the
      system. To obtain a valid access token users need to authenticate in their
      own identity provider which is generated as a JSON response to the
      endpoint `http(s)://use.hoop.dev/api/login`. The identity provider them
      redirects the user to the callback endpoint containing the access token.


      The recommended approach of obtaining an access token is by visiting the
      Webapp main's page or using the **Hoop command line**. Example:


      ```sh

      hoop config create --api-url https://use.hoop.dev

      # save the token after authenticating at $HOME/.hoop/config.toml

      hoop login

      # show token information

      hoop config view --raw

      ```


      With an access token you could use any HTTP client to interact with the
      documented endpoints.

      The token must be sent through the `Authorization` header.


      Example:


      ```sh

      # obtain the current configuration of the server

      curl https://use.hoop.dev/api/serverinfo -H "Authorization: Bearer
      $ACCESS_TOKEN"

      ```
    name: Authentication
  - description: >
      Users are active and assigned to the default organization when they
      signup. A user could be set to an inactive state preventing it from
      accessing the platform, however it’s recommended to manage the state of
      users in the identity provider.


      - The `sub` claim is used as the main identifier of the user in the
      platform.

      - The profile of the user is derived from the id_token claims `email` and
      `name`.


      When a user authenticates for the first time, it performs an automatic
      signup that persist the profile claims along with it’s unique identifier.

      ​

      ### Groups


      Groups allows defining who may access or interact with certain resources.


      - For connection resources it’s possible to define which groups has access
      to a specific connection, this is enforced when the Access Control feature
      is enabled.

      - For review resources, it’s possible to define which groups are allowed
      to approve an execution, this is enforced when the Review feature is
      enabled.


      > This resource could be managed manually via Webapp or propagated by the
      identity provider via ID Token. In this mode, groups are sync when a user
      performs a login.


      ### Roles


      - The `admin` group is a special role that grants full access to all
      resources


      This role should be granted to users that are responsible for managing the
      Gateway. All other users are regular, meaning that they can access their
      own resources and interact with connections.
    name: User Management
  - description: Routes used to manage and obtain information about the runtime server.
    name: Server Management
  - description: Features available in the gateway. See also **Plugin** resources.
    name: Features
  - description: >-
      Proxy manager endpoints controls how clients connect via gRPC in the
      gateway. These endpoints are meant to be used when a client is initialized
      via `hoop proxy-manager`.
    name: Proxy Manager
  - name: Connections
  - name: Agents
  - name: Runbooks
  - name: Guard Rails
  - name: Reviews
  - name: Sessions
  - name: Organization Management
  - name: Reports
paths:
  /serverinfo:
    get:
      tags:
        - Server Management
      summary: Get Server Info
      description: Get server information
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/openapi.ServerInfo'
          description: OK
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/openapi.HTTPError'
          description: Internal Server Error
components:
  schemas:
    openapi.ServerInfo:
      properties:
        analytics_tracking:
          description: >-
            Indicates if all tracking and analytics should be enabled or
            disabled

            * enabled - Analytics/tracking are enabled
            (ANALYTICS_TRACKING=enabled)

            * disabled - Analytics/tracking are disabled
            (ANALYTICS_TRACKING=disabled)
          enum:
            - enabled
            - disabled
          example: enabled
          type: string
        api_url:
          description: API_URL advertise to clients
          example: https://api.johnwick.org
          type: string
        auth_method:
          description: Auth method used by the server
          enum:
            - oidc
            - local
          example: local
          type: string
        commit_sha:
          description: Commit SHA of the version
          example: e6b94e86352e934b66d9c7ab2821a267dc18dfee
          type: string
        disable_sessions_download:
          description: |-
            Indicates if session download functionality is disabled
            * true - Session download is disabled and not available to users
            * false - Session download is enabled and available to users
          type: boolean
        go_debug:
          description: Expose `GODEBUG` flags enabled
          example: http2debug=2
          type: string
        grpc_url:
          description: The GRPC_URL advertise to clients
          example: 127.0.0.1:8009
          type: string
        has_ask_ai_credentials:
          description: Report if ASK_AI_CREDENTIALS is set (openapi credentials)
          type: boolean
        has_idp_audience:
          description: Report if IDP_AUDIENCE env is set
          type: boolean
        has_idp_custom_scopes:
          description: Report if IDP_CUSTOM_SCOPES env is set
          type: boolean
        has_redact_credentials:
          description: Report if GOOGLE_APPLICATION_CREDENTIALS_JSON or MSPRESIDIO is set
          type: boolean
        has_ssh_client_host_key:
          description: Report if SSH_CLIENT_HOST_KEY is set
          type: boolean
        has_webhook_app_key:
          description: Report if WEBHOOK_APPKEY is set
          type: boolean
        idp_provider_name:
          allOf:
            - $ref: '#/components/schemas/openapi.IdpProviderNameType'
          description: >-
            The provider name identified based on the configured identity
            provider credentials
        license_info:
          allOf:
            - $ref: '#/components/schemas/openapi.ServerLicenseInfo'
          description: License information
        log_level:
          description: Log level of the server
          enum:
            - INFO
            - WARN
            - DEBUG
            - ERROR
          example: INFO
          type: string
        redact_provider:
          description: Redact Provider used by the server
          enum:
            - gcp
            - mspresidio
          example: gcp
          type: string
        tenancy_type:
          description: The tenancy type
          enum:
            - selfhosted
            - multitenant
          type: string
        version:
          description: Version of the server
          example: 1.35.0
          type: string
      type: object
    openapi.HTTPError:
      properties:
        message:
          example: the error description
          type: string
      type: object
    openapi.IdpProviderNameType:
      enum:
        - microsoft-entra-id
        - okta
        - google
        - aws-cognito
        - jumpcloud
        - unknown
      type: string
    openapi.ServerLicenseInfo:
      properties:
        allowed_hosts:
          description: The allowed hosts to use this license
          example:
            - johnwick.org
            - homolog.johnwick.org
          items:
            type: string
          type: array
        expire_at:
          description: The timestamp value when this license is valid
          example: 1722261422
          type: integer
        is_valid:
          description: Report if the license is valid
          type: boolean
        issued_at:
          description: The timestamp value when this license was issued
          example: 1722261321
          type: integer
        key_id:
          description: Public Key identifier of who signed the license
          example: f2fb0c3143822b08be26f8fc5b703e0a6689e675
          type: string
        type:
          description: The type of license
          enum:
            - oss
            - enterprise
          example: enterprise
          type: string
        verified_host:
          description: The verified host (API_URL env)
          example: homolog.johnwick.org
          type: string
        verify_error:
          description: The error returned when verifying the license
          example: unable to verify license
          type: string
      type: object

````